Bug 622428 - Option "nopassword" does not work when using mysqli (rather than mysql) API
Summary: Option "nopassword" does not work when using mysqli (rather than mysql) API
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: phpMyAdmin   
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 10:24 UTC by Patrick Monnerat
Modified: 2010-08-24 02:00 UTC (History)
2 users (show)

Fixed In Version: phpMyAdmin-3.3.5.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 21:19:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes the reported bug. Also prevent undefined errors when upgrading a very old installation. (1.90 KB, patch)
2010-08-09 10:24 UTC, Patrick Monnerat
no flags Details | Diff

Description Patrick Monnerat 2010-08-09 10:24:18 UTC
Created attachment 437566 [details]
Fixes the reported bug. Also prevent undefined errors when upgrading a very old installation.

Description of problem:
As stated in the summary

Version-Release number of selected component (if applicable):
phpMyAdmin-3.3.5-1

How reproducible:
Always

Steps to Reproduce:
1. Start from a working configuration with auth_type=http, extension=mysql, nopassword=true
2. Change extension to "mysqli"
  
Actual results:
Refuses authentication

Expected results:
Access to the DB

Additional info:
This bug has already been reported upstream (http://sourceforge.net/tracker/?func=detail&aid=3039269&group_id=23067&atid=377410) and fixed in CVS.

Comment 1 Fedora Update System 2010-08-20 21:16:34 UTC
phpMyAdmin-3.3.5.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.3.5.1-1.fc12

Comment 2 Fedora Update System 2010-08-20 21:17:04 UTC
phpMyAdmin-3.3.5.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.3.5.1-1.fc13

Comment 3 Fedora Update System 2010-08-20 21:17:17 UTC
phpMyAdmin-3.3.5.1-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.3.5.1-1.fc14

Comment 4 Fedora Update System 2010-08-21 04:29:07 UTC
phpMyAdmin-3.3.5.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-08-21 04:32:06 UTC
phpMyAdmin-3.3.5.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2010-08-24 02:00:43 UTC
phpMyAdmin-3.3.5.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.